Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# Matrix2x2< V > Class Template Reference

This class represents a 2x2-matrix. More...

`#include <Matrix2x2.h>`

List of all members.

## Public Member Functions
| Matrix2x2 ()
| Default constructor.
| Matrix2x2 (const Vector2< V > &c0, const Vector2< V > &c1)
| Constructor.
Matrix2x2< V > & | operator= (const Matrix2x2< V > &other)
| Assignment operator.
| Matrix2x2 (const Matrix2x2< V > &other)
| Copy constructor.
Vector2< V > & | operator[] (int i)
| Array-like member access.
Vector2< V > | operator * (const Vector2< V > &vector) const
| Multiplication of this matrix by vector.
Matrix2x2< V > | operator * (const Matrix2x2< V > &other) const
| Multiplication of this matrix by another matrix.
Matrix2x2< V > | operator *= (const Matrix2x2< V > &other)
| Multiplication of this matrix by another matrix.
Matrix2x2< V > & | operator *= (const V &factor)
| Multiplication of this matrix by a factor.
Matrix2x2< V > & | operator/= (const V &factor)
| Division of this matrix by a factor.
Matrix2x2< V > | operator * (const V &factor) const
| Multiplication of this matrix by a factor.
Matrix2x2< V > | operator/ (const V &factor) const
| Division of this matrix by a factor.
Matrix2x2< V > | operator+ (const Matrix2x2< V > &other) const
Matrix2x2< V > | operator- (const Matrix2x2< V > &other) const
Matrix2x2< V > | invert ()
bool | operator== (const Matrix2x2< V > &other) const
| Comparison of another matrix with this one.
bool | operator!= (const Matrix2x2< V > &other) const
| Comparison of another matrix with this one.
Matrix2x2< V > | transpose () const
V | det () const
| Calculation of the determinant of this matrix.
## Public Attributes
Vector2< V > | c [2]
| The columns of the matrix.

## Detailed Description

### template<class V>
class Matrix2x2< V >

This class represents a 2x2-matrix.

Definition at line 15 of file Matrix2x2.h.

## Constructor & Destructor Documentation

template<class V>
Matrix2x2< V >::Matrix2x2 | ( |  | ) | `[inline]`

| Default constructor.

template<class V>
Matrix2x2< V >::Matrix2x2 | ( | const Vector2< V > & | c0,
|  | const Vector2< V > & | c1
| ) | `[inline]`

  | Constructor. Parameters:
  c0 | the first column of the matrix.
  c1 | the second column of the matrix.

template<class V>
Matrix2x2< V >::Matrix2x2 | ( | const Matrix2x2< V > & | other | ) | `[inline]`

  | Copy constructor. Parameters:
  other | The other matrix that is copied to this one

## Member Function Documentation

template<class V>
Matrix2x2<V>& Matrix2x2< V >::operator= | ( | const Matrix2x2< V > & | other | ) | `[inline]`

  | Assignment operator. Parameters:
  other | The other matrix that is assigned to this one
Returns: A reference to this object after the assignment. Definition at line 43 of file Matrix2x2.h.

template<class V>
Vector2<V>& Matrix2x2< V >::operator[] | ( | int | i | ) | `[inline]`

  | Array-like member access. Parameters:
  i | index
Returns: reference to column Definition at line 65 of file Matrix2x2.h.

template<class V>
Vector2<V> Matrix2x2< V >::operator * | ( | const Vector2< V > & | vector | ) | const`[inline]`

  | Multiplication of this matrix by vector. Parameters:
  vector | The vector this one is multiplied by
Returns: A reference to a new vector containing the result of the calculation. Definition at line 76 of file Matrix2x2.h.

template<class V>
Matrix2x2<V> Matrix2x2< V >::operator * | ( | const Matrix2x2< V > & | other | ) | const`[inline]`

  | Multiplication of this matrix by another matrix. Parameters:
  other | The other matrix this one is multiplied by
Returns: An object containing the result of the calculation. Definition at line 87 of file Matrix2x2.h.

template<class V>
Matrix2x2<V> Matrix2x2< V >::operator *= | ( | const Matrix2x2< V > & | other | ) | `[inline]`

  | Multiplication of this matrix by another matrix. Parameters:
  other | The other matrix this one is multiplied by
Returns: A reference this object after the calculation. Definition at line 102 of file Matrix2x2.h.

template<class V>
Matrix2x2<V>& Matrix2x2< V >::operator *= | ( | const V & | factor | ) | `[inline]`

  | Multiplication of this matrix by a factor. Parameters:
  factor | The factor this matrix is multiplied by
Returns: A reference to this object after the calculation. Definition at line 112 of file Matrix2x2.h.

template<class V>
Matrix2x2<V>& Matrix2x2< V >::operator/= | ( | const V & | factor | ) | `[inline]`

  | Division of this matrix by a factor. Parameters:
  factor | The factor this matrix is divided by
Returns: A reference to this object after the calculation. Definition at line 125 of file Matrix2x2.h.

template<class V>
Matrix2x2<V> Matrix2x2< V >::operator * | ( | const V & | factor | ) | const`[inline]`

  | Multiplication of this matrix by a factor. Parameters:
  factor | The factor this matrix is multiplied by
Returns: A new object that contains the result of the calculation. Definition at line 136 of file Matrix2x2.h.

template<class V>
Matrix2x2<V> Matrix2x2< V >::operator/ | ( | const V & | factor | ) | const`[inline]`

  | Division of this matrix by a factor. Parameters:
  factor | The factor this matrix is divided by
Returns: A new object that contains the result of the calculation. Definition at line 147 of file Matrix2x2.h.

template<class V>
Matrix2x2<V> Matrix2x2< V >::operator+ | ( | const Matrix2x2< V > & | other | ) | const`[inline]`

| Definition at line 154 of file Matrix2x2.h.

template<class V>
Matrix2x2<V> Matrix2x2< V >::operator- | ( | const Matrix2x2< V > & | other | ) | const`[inline]`

| Definition at line 162 of file Matrix2x2.h.

template<class V>
Matrix2x2<V> Matrix2x2< V >::invert | ( |  | ) | `[inline]`

| Definition at line 169 of file Matrix2x2.h.

template<class V>
bool Matrix2x2< V >::operator== | ( | const Matrix2x2< V > & | other | ) | const`[inline]`

  | Comparison of another matrix with this one. Parameters:
  other | The other matrix that will be compared to this one
Returns: Whether the two matrices are equal. Definition at line 185 of file Matrix2x2.h.

template<class V>
bool Matrix2x2< V >::operator!= | ( | const Matrix2x2< V > & | other | ) | const`[inline]`

  | Comparison of another matrix with this one. Parameters:
  other | The other matrix that will be compared to this one
Returns: Whether the two matrixs are unequal. Definition at line 196 of file Matrix2x2.h.

template<class V>
Matrix2x2<V> Matrix2x2< V >::transpose | ( |  | ) | const`[inline]`

| Transpose the matrix Returns: A new object containing transposed matrix Definition at line 205 of file Matrix2x2.h. Referenced by VLCBeaconDetector::clusterPinkBeaconParts(), SlamBeaconDetector::clusterPinkBeaconParts(), and GT2005BeaconDetector::clusterPinkBeaconParts().

template<class V>
V Matrix2x2< V >::det | ( |  | ) | const`[inline]`

| Calculation of the determinant of this matrix. Returns: The determinant. Definition at line 216 of file Matrix2x2.h.

## Member Data Documentation

template<class V>
Vector2<V> Matrix2x2< V >::c[2]

| The columns of the matrix. Definition at line 18 of file Matrix2x2.h. Referenced by Matrix2x2< double >::operator *(), Matrix2x2< double >::operator+(), Matrix2x2< double >::operator-(), Matrix2x2< double >::operator=(), Matrix2x2< double >::operator==(), and operator>>().

The documentation for this class was generated from the following file:

- Tools/Math/Matrix2x2.h